Bug 115286 - PowerMac sound card and airport are mis-detected
PowerMac sound card and airport are mis-detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: fedora-ppc
  Show dependency treegraph
 
Reported: 2004-02-10 03:39 EST by Alex Kiernan
Modified: 2014-03-16 22:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.66-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 17:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix paths used for airport and sound detection on Mac, switch to ALSA driver (1.80 KB, patch)
2004-02-10 03:41 EST, Alex Kiernan
no flags Details | Diff

  None (edit)
Description Alex Kiernan 2004-02-10 03:39:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
When looking for sound cards and airports, kudzu checks down the wrong
parts of the tree. Also the hardcoded driver is for OSS, not ALSA.

Version-Release number of selected component (if applicable):
kudzu-1.1.41-1

How reproducible:
Always

Steps to Reproduce:
1. Run Kudzu on powermac w/ 2.6.2 kernel
2.
3.
    

Actual Results:  Sound card won't be detected, bogus airport will be
(on systems w/o airport)

Additional info:

Patch to follow
Comment 1 Alex Kiernan 2004-02-10 03:41:30 EST
Created attachment 97550 [details]
Fix paths used for airport and sound detection on Mac, switch to ALSA driver
Comment 2 Thomas Gordon 2004-02-24 19:34:44 EST
this works with kernel-2.6.3 and kudzu 1.1.44-1.1
Comment 3 Bill Nottingham 2004-02-24 22:13:05 EST
Odd, it wasn't changed at all. :)
Comment 4 Thomas Gordon 2004-02-25 15:11:55 EST
I meant to say kuzdu no longer bothers me about the no-existant
airport with this patch added.
Comment 5 Bill Nottingham 2004-05-19 17:08:17 EDT
Fixed in 1.1.66-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.